<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="org.eclipse.hyades.resources.database"
   name="Hyades Core Resource Extensions"
   version="3.0.1"
   provider-name="Eclipse.org"
   class="org.eclipse.hyades.resources.database.internal.DatabasePlugin">

   <runtime>
      <library name="dbresource.jar">
         <export name="*"/>
      </library>      
   </runtime>
   <requires>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
      <import plugin="org.eclipse.emf.ecore" export="true"/>
      <import plugin="org.eclipse.emf.common"/>
      <import plugin="org.eclipse.hyades.models.hierarchy" export="true"/>
      <import plugin="org.eclipse.hyades.models.cbe"/>
      <import plugin="org.eclipse.hyades.models.sdb"/>
      <import plugin="org.eclipse.hyades.models.trace"/>
      <import plugin="org.eclipse.hyades.models.statistical"/>
   </requires>


   <extension-point id="database_extensions" name="database_extensions" schema="schema/database_extensions.exsd"/>

<!--extension-point id="database_extensions" schema="schema/org.eclipse.hyades.resources.database.extensions.exsd"/-->
   <extension
         point="org.eclipse.hyades.models.hierarchy.hyades_resource_extension">
      <hyadesResourceExtension
            class="org.eclipse.hyades.resources.database.internal.impl.DBHyadesResourceExtension">
      </hyadesResourceExtension>
   </extension>

</plugin>
